import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  name: z.string(),
  mimeType: z.string().optional().nullable(),
  fileSize: z.bigint(),
  isComplete: z.boolean().optional(),
  totalChunks: z.number().int().optional().nullable(),
  diskPath: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional(),
  updatedAt: z.coerce.date().optional()
}).strict();
export const CloudFileCreateManyFolderInputObjectSchema: z.ZodType<Prisma.CloudFileCreateManyFolderInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileCreateManyFolderInput>;
export const CloudFileCreateManyFolderInputObjectZodSchema = makeSchema();
